org.keycloak.dom.saml.v2.metadata

## Class ContactType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes
  - - org.keycloak.dom.saml.v2.metadata.ContactType

-     public class ContactType
      extends TypeWithOtherAttributes

  Java class for ContactType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ContactType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}Extensions" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}Company" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}GivenName" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}SurName" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}EmailAddress" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}TelephoneNumber" maxOccurs="unbounded"
       minOccurs="0"/>
             </sequence>
             <attribute name="contactType" use="required" type="{urn:oasis:names:tc:SAML:2.0:metadata}ContactTypeType"
       />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `company`
    `protected ContactTypeType` | `contactType`
    `protected List<String>` | `emailAddress`
    `protected ExtensionsType` | `extensions`
    `protected String` | `givenName`
    `protected String` | `surName`
    `protected List<String>` | `telephoneNumber`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `otherAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContactType(ContactTypeType contactType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEmailAddress(String email)` Add an email address
    `void` | `addTelephone(String tel)` Add a telephone
    `String` | `getCompany()` Gets the value of the company property.
    `ContactTypeType` | `getContactType()` Gets the value of the contactType property.
    `List<String>` | `getEmailAddress()` Gets the value of the emailAddress property.
    `ExtensionsType` | `getExtensions()` Gets the value of the extensions property.
    `String` | `getGivenName()` Gets the value of the givenName property.
    `String` | `getSurName()` Gets the value of the surName property.
    `List<String>` | `getTelephoneNumber()` Gets the value of the telephoneNumber property.
    `void` | `removeEmailAddress(String email)` remove an email address
    `void` | `removeTelephone(String tel)` remove a telephone
    `void` | `setCompany(String value)` Sets the value of the company property.
    `void` | `setContactType(ContactTypeType value)` Sets the value of the contactType property.
    `void` | `setExtensions(ExtensionsType value)` Sets the value of the extensions property.
    `void` | `setGivenName(String value)` Sets the value of the givenName property.
    `void` | `setSurName(String value)` Sets the value of the surName property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `addOtherAttribute, getOtherAttributes, removeOtherAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### extensions

          protected ExtensionsType extensions

    - #### company

          protected String company

    - #### givenName

          protected String givenName

    - #### surName

          protected String surName

    - #### emailAddress

          protected List<String> emailAddress

    - #### telephoneNumber

          protected List<String> telephoneNumber

    - #### contactType

          protected ContactTypeType contactType

  - ### Constructor Detail

    - #### ContactType

          public ContactType(ContactTypeType contactType)

  - ### Method Detail

    - #### getExtensions

          public ExtensionsType getExtensions()

      Gets the value of the extensions property.
      Returns:
        possible object is `ExtensionsType`

    - #### setExtensions

          public void setExtensions(ExtensionsType value)

      Sets the value of the extensions property.
      Parameters:
        `value` - allowed object is `ExtensionsType`

    - #### getCompany

          public String getCompany()

      Gets the value of the company property.
      Returns:
        possible object is `String`

    - #### setCompany

          public void setCompany(String value)

      Sets the value of the company property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGivenName

          public String getGivenName()

      Gets the value of the givenName property.
      Returns:
        possible object is `String`

    - #### setGivenName

          public void setGivenName(String value)

      Sets the value of the givenName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSurName

          public String getSurName()

      Gets the value of the surName property.
      Returns:
        possible object is `String`

    - #### setSurName

          public void setSurName(String value)

      Sets the value of the surName property.
      Parameters:
        `value` - allowed object is `String`

    - #### addEmailAddress

          public void addEmailAddress(String email)

      Add an email address
      Parameters:
        `email` -

    - #### removeTelephone

          public void removeTelephone(String tel)

      remove a telephone
      Parameters:
        `tel` -

    - #### removeEmailAddress

          public void removeEmailAddress(String email)

      remove an email address
      Parameters:
        `email` -

    - #### addTelephone

          public void addTelephone(String tel)

      Add a telephone
      Parameters:
        `tel` -

    - #### getEmailAddress

          public List<String> getEmailAddress()

      Gets the value of the emailAddress property.

      Objects of the following type(s) are allowed in the list `String`

    - #### getTelephoneNumber

          public List<String> getTelephoneNumber()

      Gets the value of the telephoneNumber property.

      Objects of the following type(s) are allowed in the list `String`

    - #### getContactType

          public ContactTypeType getContactType()

      Gets the value of the contactType property.
      Returns:
        possible object is `ContactTypeType`

    - #### setContactType

          public void setContactType(ContactTypeType value)

      Sets the value of the contactType property.
      Parameters:
        `value` - allowed object is `ContactTypeType`

Copyright © 2016 JBoss by Red Hat. All rights reserved.